Cyberduck Mountain Duck CLI

#10649 closed defect (worksforme)

Invalid signature for path with ( character

Reported by: jonnyorourke Owned by:
Priority: normal Milestone: 7.0
Component: s3 Version: 6.9.4
Severity: normal Keywords:
Cc: Architecture:
Platform: macOS 10.14

Description (last modified by dkocher)

Hi there please see support ticket reply below regarding error message:

Hi Jonny,

I think we may have an update on this, after some further testing with cyberduck.

So, I understand that you can log onto the bucket, but you cannot retrieve the image files, is this correct? I was able to replicate this error, as when you access or attempt to edit the file in Cyberduck it forces you to reinput the secret key in a loop and gives a 'Forbidden' error.

However, I didn't get this error when uploading two files: test.txt (uploaded by myself using s3cmd) and output.csv (uploaded by yourself). All these files have the same bucket ACL applied, eg;

[root@ ~]# s3cmd info 's3://piemag/070319 (553 of 553).JPG'
s3://piemag/070319 (553 of 553).JPG (object):
   File size: 1152840
....
   ACL:       Jonny  O'Rourke: FULL_CONTROL

[root@ ~]# s3cmd info 's3://piemag/test.txt'
s3://piemag/test.txt (object):
   File size: 5145
...
   ACL:       Jonny  O'Rourke: FULL_CONTROL


But as per the attached image 'vault1.png', you cannot access the image files. The difference? The filenames themselves. In testing this, it looks as though it's the filenames with the brackets that is causing the images to throw that error and cause the file manager to crash.

Checking the documentation, it looks as though brackets might be ok, but spaces are not;

https://docs.aws.amazon.com/AmazonS3/latest/dev/UsingMetadata.html

To test this, I have created a testing called 'piemagtest' on your vault account and tried to narrow down the file naming issue to see if this was about spaces or brackets.

First I created some text files, so that we can test the 'edit' feature in Cyberduck as well. One has no spaces or brackets, one has just brackets, one has brackets/spaces, and one has just spaces.

[root@]# echo "This is a test" > "070319123of456.txt"
[root@]# echo "This is a test" > "070319(123of456).txt"
[root@]# echo "This is a test" > "070319 (123 of 456).txt"
[root@]# echo "This is a test" > "070319 123 of 456.txt"

Then I uploaded these;

[root@]# s3cmd put "070319123of456.txt" s3://piemagtest
upload: '070319123of456.txt' -> 's3://piemagtest/070319123of456.txt'  [1 of 1]
 15 of 15   100% in    0s   187.37 B/s  done
[root@]# s3cmd put "070319(123of456).txt" s3://piemagtest
upload: '070319(123of456).txt' -> 's3://piemagtest/070319(123of456).txt'  [1 of 1]
 15 of 15   100% in    0s   121.47 B/s  done
[root@]# s3cmd put "070319 (123 of 456).txt" s3://piemagtest
upload: '070319 (123 of 456).txt' -> 's3://piemagtest/070319 (123 of 456).txt'  [1 of 1]
 15 of 15   100% in    0s   212.29 B/s  done
[root@]# s3cmd put "070319 123 of 456.txt" s3://piemagtest
upload: '070319 123 of 456.txt' -> 's3://piemagtest/070319 123 of 456.txt'  [1 of 1]
 15 of 15   100% in    0s   252.97 B/s  done

Next, in Cyberduck I right clicked and refreshed the page as per the 'vault2.PNG' screenshot. Testing one by one, the names with spaces downloaded and were editable just fine, but the files with brackets were not. I have attached the attempted download/edit history in the screenshot vault3.PNG.

As such, you will have to rename your files to use either spaces or perhaps underscores, and this should work

Kind Regards.

What I am trying to do is use CyberDuck to connect to: Host vault.ecloud.co.uk

Access Key	SRGVRX8EW8TCJDV4OGHY
Secret Key	4t8tZcd7GKpoTKFHLsEHMHUS6L7cV7eSp6Vt3s7g

I have managed to access via other SSH applications however we cannot get access through Cyberduck and this is the prefered method

Change History (7)

comment:1 Changed on Apr 1, 2019 at 7:27:00 PM by dkocher

  • Description modified (diff)
  • Priority changed from high to normal
  • Summary changed from CyberDuck won't allow login to S3 Storage, to Invalid signature for path with [ character

Relates to #9914.

comment:2 Changed on Apr 1, 2019 at 7:28:05 PM by dkocher

Please revoke the credentials posted.

comment:3 Changed on Apr 12, 2019 at 5:05:12 AM by yla

  • Summary changed from Invalid signature for path with [ character to Invalid signature for path with ( character

comment:4 Changed on Apr 12, 2019 at 12:21:13 PM by yla

Thanks for the detailed report. Unfortunately I'm not able to replicate the issue with the steps provided. There is an issue though with filenames containing * and + characters. Can you please post the transcript after trying to edit a file with brackets?

comment:5 Changed on Apr 14, 2019 at 3:51:45 PM by dkocher

  • Milestone set to 6.9.5

comment:6 Changed on Apr 15, 2019 at 8:11:45 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:7 Changed on Jun 4, 2019 at 2:20:54 PM by dkocher

  • Milestone changed from 6.9.5 to 7.0

Ticket retargeted after milestone deleted

Note: See TracTickets for help on using tickets.
swiss made software